unit TestLib_TLB;

{ This file contains pascal declarations imported from a type library.
  This file will be written during each import or refresh of the type
  library editor.  Changes to this file will be discarded during the
  refresh process. }

{ TestLib Library }
{ Version 1.0 }

interface

uses Windows, ActiveX, Classes, Graphics, OleCtrls, StdVCL;

const
  LIBID_TestLib: TGUID = '{FE76707B-AEAB-11D1-A7AA-08005AB86026}';

const

{ Component class GUIDs }
  Class_TTestSnapin: TGUID = '{FE76707D-AEAB-11D1-A7AA-08005AB86026}';

type

{ Forward declarations: Interfaces }
  ITTestSnapin = interface;

{ Forward declarations: CoClasses }
  TTestSnapin = ITTestSnapin;

{ Dispatch interface for TTestSnapin Object }

  ITTestSnapin = interface(IUnknown)
    ['{FE76707C-AEAB-11D1-A7AA-08005AB86026}']
  end;

{ TTestSnapinObject }

  CoTTestSnapin = class
    class function Create: ITTestSnapin;
    class function CreateRemote(const MachineName: string): ITTestSnapin;
  end;



implementation

uses ComObj;

class function CoTTestSnapin.Create: ITTestSnapin;
begin
  Result := CreateComObject(Class_TTestSnapin) as ITTestSnapin;
end;

class function CoTTestSnapin.CreateRemote(const MachineName: string): ITTestSnapin;
begin
  Result := CreateRemoteComObject(MachineName, Class_TTestSnapin) as ITTestSnapin;
end;


end.
